[arch-commits] Commit in pyqt/kde-unstable (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Thu Jan 7 19:24:57 UTC 2010


    Date: Thursday, January 7, 2010 @ 14:24:57
  Author: andrea
Revision: 62360

new snapshot

Modified:
  pyqt/kde-unstable/PKGBUILD

----------+
 PKGBUILD |   22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-07 19:21:45 UTC (rev 62359)
+++ PKGBUILD	2010-01-07 19:24:57 UTC (rev 62360)
@@ -4,25 +4,27 @@
 # Contributor: riai <riai at bigfoot.com> Ben <ben at benmazer.net>
 
 pkgname=pyqt
-pkgver=4.6.2
-pkgrel=2
+pkgver=4.720091231
+_pkgver=4.7-snapshot-20091231
+pkgrel=1
 pkgdesc="A set of Python bindings for the Qt toolkit"
 arch=('i686' 'x86_64')
 url="http://riverbankcomputing.co.uk/software/pyqt/intro"
-depends=('sip>=4.9.3' 'qscintilla>=2.4.1' 'qt>=4.6.0' 'dbus-python' 'openssl')
+depends=('sip>=4.10' 'qscintilla>=2.4.1' 'qt>=4.6.0' 'dbus-python' 'openssl')
 license=('GPL')
 provides=('pyqt4')
 replaces=('pyqt4')
 conflicts=('pyqt4')
-source=(http://riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${pkgver}.tar.gz)
-md5sums=('b7aba1b0e41d674b0ebcb64844f442f7')
+source=(http://riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${_pkgver}.tar.gz)
+md5sums=('970d442f51979858699862cb6de99320')
 
 build() {
-  cd ${srcdir}/PyQt-x11-gpl-${pkgver}
+  cd ${srcdir}/PyQt-x11-gpl-${_pkgver}
   
-  python configure.py --confirm-license -b /usr/bin \
-  -d /usr/lib/python2.6/site-packages \
-  -v /usr/share/sip
+  python configure.py --confirm-license \
+    -b /usr/bin \
+    -d /usr/lib/python2.6/site-packages \
+    -v /usr/share/sip || return 1
 
   # Thanks Gerardo for the rpath fix
   find -name 'Makefile' | xargs sed -i 's|-Wl,-rpath,/usr/lib||g;s|-Wl,-rpath,.* ||g'
@@ -30,5 +32,5 @@
   make || return 1
 
   # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use DESTDIR
-  make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install
+  make DESTDIR=${pkgdir} INSTALL_ROOT=${pkgdir} install || return 1
 }




More information about the arch-commits mailing list